﻿/*
*******************************************************************
Content in this file is taken from http://www.uesp.net/wiki/Lore:Dragon_Language
The content is licensed under the Creative Commons by-sa license.
http://creativecommons.org/licenses/by-sa/2.5/
*/

var dict = {
	"aak": "guide",
	"aal": "may",
	"aan": "a(n)",
	"aar": "servant",
	"aav": "join",
	"aaz": "mercy",
	"ag": "burn",
	"ah": "hunter",
	"ahmik": "service",
	"ahmul": "husband",
	"ahkrin": "courage",
	"ahrk": "and",
	"ahrol": "hill",
	"ahst": "at",
	"al": "destroyer",
	"alok": "arise",
	"alun": "ever",
	"au": "on",
	"aus": "suffer",
	"bah": "wrath",
	"bahlok": "hunger",
	"bein": "foul",
	"beyn": "scorn",
	"bodiis": "borrow ",
	"bok": "age",
	"bonaar": "humble",
	"bormah": "father",
	"bovul": "flee",
	"boziik": "bold(ly)",
	"brendon": "specter",
	"brii": "beauty",
	"briinah": "sister",
	"briinahii": "(for her?) ",
	"brit": "beautiful",
	"brod": "clan",
	"brom": "north",
	"bron": "nord",
	"bruniik": "savage",
	"daal": "return",
	"daanik": "doomed ",
	"daar": "this/these",
	"dah": "push",
	"dahmaan": "remember",
	"dein": "keep",
	"denek": "soil",
	"dez": "fate",
	"diin": "freeze",
	"diivon": "swallow ",
	"dilon": "dead",
	"dinok": "death",
	"dir": "die",
	"do": "of/about",
	"dok": "hound",
	"dov": "wyrm ",
	"dovah": "dragon",
	"dovahgolz": "dragonstone",
	"dovahkiin": "dragonborn",
	"draal": "pray",
	"dreh": "do(es)",
	"drem": "peace",
	"drey": "did",
	"drog": "lord",
	"drun": "bring",
	"du": "devour",
	"dukaan": "dishonor",
	"dun": "grace",
	"dwiin": "steel",
	"dwiirok": "carve",
	"dukaan": "dishonor ",
	"ek": "her",
	"enook": "each",
	"ensosin": "bewitch",
	"evenaar": "extinguish",
	"evgir": "season",
	"faad": "warmth",
	"faal": "the",
	"faas": "fear",
	"faasnu": "fearless",
	"fah": "for",
	"fahdon": "friend",
	"fahliil": "elf",
	"feim": "fade",
	"fel": "feral",
	"fen": "will",
	"fent": "shall",
	"feyn": "bane",
	"fiik": "mirror",
	"filok": "escape",
	"fin": "the",
	"fo": "frost",
	"fod": "when",
	"fodiiz": "hoar",
	"folaas": "wrong",
	"folook": "haunt",
	"fonaar": "charge",
	"frin": "hot",
	"frod": "(battle)field",
	"fron": "kin/related",
	"frul": "ephemeral/temporary",
	"fun": "told",
	"ful": "so",
	"fun": "told",
	"fundein": "unfurl(ed)",
	"funt": "fail",
	"fus": "force",
	"gaaf": "ghost",
	"gahrot": "steal",
	"geh": "yes",
	"gein": "one",
	"geinmaar": "oneself",
	"gogil": "goblin",
	"gol": "earth",
	"golt": "ground",
	"govey": "remove",
	"graan": "rout",
	"grah": "battle",
	"gravuun": "autumn",
	"grik": "such",
	"grind": "meet",
	"grohiik": "wolf",
	"gron": "bind",
	"gut": "far",
	"haal": "hand",
	"haalvut": "touch",
	"hahdrim": "mind",
	"hahkun": "axe",
	"hahnu": "dream",
	"heim": "forge",
	"het": "here",
	"hevno": "brutal",
	"heyv": "duty",
	"hin": "your",
	"hind": "wish",
	"hofkah": "steading ",
	"hokoron": "enemy",
	"hon": "hear",
	"hun": "hero",
	"huzrah": "hearken",
	"iiz": "ice",
	"in": "master",
	"jer": "east",
	"joor": "mortal",
	"jot": "maw",
	"jul": "man/mankind/humans",
	"jun": "king",
	"junnesejer": "kings of the east",
	"kaal": "champion",
	"kaan": "kyne",
	"kaaz": "cat/khajiit",
	"kah": "pride",
	"kein": "war",
	"keizaal": "skyrim",
	"kel": "scroll (as in elder scroll)",
	"kendov": "warrior",
	"kest": "tempest",
	"key": "horse",
	"keyn": "anvil",
	"kiin": "child/born",
	"kiir": "child",
	"kinbok": "leader",
	"kinzon": "sharp ",
	"klo": "sand",
	"klov": "head",
	"ko": "in",
	"kod": "wield",
	"kodaav": "bear",
	"kol": "crag",
	"kogaan": "blessing",
	"komeyt": "issue/let loose",
	"konahrik": "warlord",
	"kopraan": "body",
	"koor": "summer",
	"kos": "be/are",
	"kotin": "into",
	"krah": "cold",
	"krasaar": "sickness",
	"krein": "sun",
	"kreh": "bend",
	"kren": "break",
	"krent": "broken",
	"krif": "fight",
	"krii": "kill",
	"kriid": "slayer",
	"kril": "brave",
	"krilot": "valiant",
	"krin": "courageous",
	"kro": "sorceror",
	"kroniid": "conqueror",
	"krosis": "sorrow",
	"kruziik": "ancient",
	"kul": "son",
	"kulaan": "prince",
	"kulaas": "princess",
	"laas": "life",
	"laat": "last",
	"lahney": "live",
	"lahvu": "army",
	"leh": "lest",
	"lein": "world",
	"liiv": "wither",
	"lingrah": "long",
	"lo": "deceive",
	"lok": "sky",
	"loost": "hath",
	"los": "is",
	"lost": "was/have",
	"lot": "great",
	"lovaas": "music/song",
	"luft": "face",
	"lumnaar": "valley",
	"lun": "leech",
	"luv": "tear",
	"maar": "terror",
	"mah": "fall/fell",
	"mahfaeraak": "forever",
	"mal": "little",
	"med": "like",
	"mey": "fool",
	"meyz": "come",
	"miin": "eye",
	"mir": "allegiance",
	"moron": "glory",
	"morokei": "glorious",
	"motaad": "shudder",
	"motmah": "slip",
	"mu": "we",
	"mul": "strong",
	"mulaag": "strength",
	"mun": "man",
	"munax": "cruel",
	"muz": "men",
	"naak": "eat",
	"naako": "eaten",
	"naal": "by",
	"naan": "any",
	"nah": "fury",
	"nahgahdinok": "necromancer",
	"nahkriin": "vengeance",
	"nahl": "living",
	"nahlaas": "alive",
	"nahlot": "silenced",
	"nau": "on",
	"nax": "cruelty",
	"ney": "both",
	"ni": "not",
	"nid": "no",
	"nimaar": "itself",
	"nin": "sting",
	"nir": "hunt",
	"nis": "cannot",
	"nivahriin": "cowardly",
	"nok": "lie",
	"nol": "from",
	"nonvul": "noble",
	"norok": "fiercest",
	"nu": "now",
	"nus": "statue",
	"nust": "they",
	"nuz": "but",
	"oblaan": "end",
	"od": "snow",
	"odus": "snowy",
	"ofan": "give",
	"ogiim": "orc",
	"ok": "his",
	"okaaz": "sea",
	"ol": "as",
	"om": "hair",
	"ond": "lo",
	"orin": "even",
	"osos": "some",
	"ov": "trust",
	"paal": "foe",
	"paar": "ambition",
	"paaz": "fair",
	"pah": "all",
	"peyt": "rose",
	"pindaar": "plain(s)",
	"pogaan": "many",
	"pogaas": "much",
	"pook": "stink",
	"praan": "rest",
	"prodah": "foretold",
	"pruzaan": "best",
	"pruzah": "good",
	"qahnaar": "vanquish",
	"qeth": "bone",
	"qethsegol": "stone",
	"qo": "lightning",
	"qolaas": "herald",
	"raan": "animal",
	"rahgol": "rage",
	"rein": "roar",
	"rek": "she",
	"revak": "sacred",
	"reyliik": "race(s)",
	"riik": "gale",
	"rinik": "very",
	"rok": "he",
	"ronaan": "archer",
	"ronaaz": "arrow",
	"ronax": "regiment",
	"ronit": "rival",
	"rovaan": "wander",
	"ru": "run",
	"rul": "when",
	"ruvaak": "raven",
	"ruz": "then",
	"sadon": "gray",
	"sah": "phantom",
	"sahlo": "weak",
	"sahqo": "red",
	"sahqon": "crimson",
	"sahrot": "mighty",
	"sahsunaar": "villager(s)",
	"saviik": "savior",
	"shul": "sun",
	"siiv": "find/found",
	"sil": "soul",
	"sinak": "finger(s)",
	"sinon": "instead",
	"siiv": "found",
	"sivaas": "beast",
	"sizaan": "lost",
	"slen": "flesh",
	"smoliin": "passion",
	"sonaan": "bard",
	"sos": "blood",
	"sot": "white",
	"spaan": "shield",
	"staadnau": "unbound",
	"stin": "free",
	"strun": "storm",
	"strunmah": "mountain",
	"su": "air",
	"sul": "day",
	"suleyk": "power",
	"sunvaar": "beast(s)",
	"taazokaan": "tamriel",
	"tafiir": "thief",
	"tah": "pack",
	"tahrodiis": "treacherous",
	"tey": "tale",
	"thur": "overlord",
	"tiid": "time",
	"togaat": "attempt",
	"tol": "that",
	"toor": "inferno",
	"tu": "hammer",
	"tuz": "blade",
	"ul": "eternity",
	"unahzaal": "unending/ceaseless/eternal",
	"unslaad": "unending/ceaseless/eternal",
	"unt": "try",
	"uznahgaar": "unbridled",
	"vaal": "bay",
	"vaat": "swear/swore",
	"vah": "spring",
	"vahdin": "maiden",
	"vahlok": "guardian",
	"vahriin": "sworn",
	"vahrukiv": "commemorate",
	"vahrukt": "sister/memory",
	"vahzah": "true",
	"ved": "black",
	"ven": "wind",
	"vey": "cut",
	"veysun": "ship",
	"viik": "defeat",
	"viing": "wing",
	"viintaas": "shining",
	"vith": "serpent",
	"vod": "ago",
	"vokul": "evil",
	"vokun": "shadow",
	"vol": "horror",
	"voth": "with",
	"vukein": "combat",
	"vul": "dark",
	"vulom": "darkness",
	"vulon": "night",
	"wah": "to (both as preposition and verb infinitive form)",
	"wahl": "build/create",
	"wahlaan": "raise / built/created",
	"wen": "whose",
	"werid": "praise",
	"win": "wage",
	"wo": "who",
	"wuld": "whirlwind",
	"yah": "seek",
	"yol": "fire",
	"yoriik": "march",
	"yuvon": "gold/golden",
	"zaan": "shout (as in \"yell\", not as \"dragon shout\")",
	"zah": "finite",
	"zahkrii": "sword",
	"zahrahmiik": "sacrifice",
	"zeim": "through",
	"zeymah": "brother(s)",
	"zii": "spirit",
	"zin": "honor",
	"zind": "triumph",
	"zindro": "triumph's",
	"zohungaar": "heroically",
	"zok": "most",
	"zoor": "legend",
	"zul": "voice",
	"zun": "weapon"
};
